org.apache.myfaces.trinidad.component.core.layout

## Class CorePanelBorderLayout

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXPanel
        - - org.apache.myfaces.trinidad.component.core.layout.CorePanelBorderLayout

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class CorePanelBorderLayout
      extends UIXPanel

  The panelBorderLayout component is a layout element which lays out all of its children consecutively in its middle, and supports twelve other facets: top, bottom, left, right, start and end. Clients should use only one of left/right or start/end for each side, in any one container, but if both are used, left/right "wins".

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change events might include the width of a column that supported client-side resizing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BOTTOM_FACET`
    `static PropertyKey` | `BOTTOM_HEIGHT_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `END_FACET`
    `static PropertyKey` | `END_WIDTH_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static String` | `INNER_BOTTOM_FACET`
    `static PropertyKey` | `INNER_BOTTOM_HEIGHT_KEY`
    `static String` | `INNER_END_FACET`
    `static PropertyKey` | `INNER_END_WIDTH_KEY`
    `static String` | `INNER_LEFT_FACET`
    `static PropertyKey` | `INNER_LEFT_WIDTH_KEY`
    `static String` | `INNER_RIGHT_FACET`
    `static PropertyKey` | `INNER_RIGHT_WIDTH_KEY`
    `static String` | `INNER_START_FACET`
    `static PropertyKey` | `INNER_START_WIDTH_KEY`
    `static String` | `INNER_TOP_FACET`
    `static PropertyKey` | `INNER_TOP_HEIGHT_KEY`
    `static String` | `LAYOUT_EXPAND`
    `static PropertyKey` | `LAYOUT_KEY`
    `static String` | `LAYOUT_POSITIONED`
    `static String` | `LEFT_FACET`
    `static PropertyKey` | `LEFT_WIDTH_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static String` | `RIGHT_FACET`
    `static PropertyKey` | `RIGHT_WIDTH_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static String` | `START_FACET`
    `static PropertyKey` | `START_WIDTH_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static String` | `TOP_FACET`
    `static PropertyKey` | `TOP_HEIGHT_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CorePanelBorderLayout()` Construct an instance of the CorePanelBorderLayout.
    `protected` | `CorePanelBorderLayout(String rendererType)` Construct an instance of the CorePanelBorderLayout.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `javax.faces.component.UIComponent` | `getBottom()` Content to be rendered below the children.
    `String` | `getBottomHeight()` Gets Specifies the CSS height to give to the bottom facet in valid CSS units.
    `javax.faces.component.UIComponent` | `getEnd()` Content to be rendered to the right of the children and between any top and bottom facets, if the reading direction is left-to-right, on the left otherwise.
    `String` | `getEndWidth()` Gets Specifies the CSS width to give to the end facet in valid CSS units.
    `String` | `getFamily()`
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `javax.faces.component.UIComponent` | `getInnerBottom()` Content to be rendered below the children, but above 'bottom'.
    `String` | `getInnerBottomHeight()` Gets Specifies the CSS height to give to the inner bottom facet in valid CSS units.
    `javax.faces.component.UIComponent` | `getInnerEnd()` the equivalent of innerRight on left-to-right clients and innerLeft on right-to-left clients.
    `String` | `getInnerEndWidth()` Gets Specifies the CSS width to give to the inner end facet in valid CSS units.
    `javax.faces.component.UIComponent` | `getInnerLeft()` Content to be rendered to the left of the children and between any innerTop and innerBottom facets, to the right of the left facet.
    `String` | `getInnerLeftWidth()` Gets Specifies the CSS width to give to the inner left facet in valid CSS units.
    `javax.faces.component.UIComponent` | `getInnerRight()` Content to be rendered to the right of the children and between any innerTop and innerBottom facets.
    `String` | `getInnerRightWidth()` Gets Specifies the CSS width to give to the inner right facet in valid CSS units.
    `javax.faces.component.UIComponent` | `getInnerStart()` the equivalent of innerLeft on left-to-right clients and innerRight on right-to-left clients.
    `String` | `getInnerStartWidth()` Gets Specifies the CSS width to give to the inner start facet in valid CSS units.
    `javax.faces.component.UIComponent` | `getInnerTop()` Content to be rendered above the children, inside of 'top'.
    `String` | `getInnerTopHeight()` Gets Specifies the CSS height to give to the inner top facet in valid CSS units.
    `String` | `getLayout()` Gets Changes how the panel is rendered.
    `javax.faces.component.UIComponent` | `getLeft()` Content to be rendered to the left of the children and between any top and bottom facets.
    `String` | `getLeftWidth()` Gets Specifies the CSS width to give to the left facet in valid CSS units.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `javax.faces.component.UIComponent` | `getRight()` Content to be rendered to the right of the children and between any top and bottom facets.
    `String` | `getRightWidth()` Gets Specifies the CSS width to give to the right facet in valid CSS units.
    `String` | `getShortDesc()` Gets The short description of the component.
    `javax.faces.component.UIComponent` | `getStart()` Content to be rendered to the left of the children and between any top and bottom facets, if the reading direction is left-to-right, on the right otherwise.
    `String` | `getStartWidth()` Gets Specifies the CSS width to give to the start facet in valid CSS units.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `javax.faces.component.UIComponent` | `getTop()` Content to be rendered above the children.
    `String` | `getTopHeight()` Gets Specifies the CSS height to give to the top facet in valid CSS units.
    `void` | `setBottom(javax.faces.component.UIComponent bottomFacet)` Content to be rendered below the children.
    `void` | `setBottomHeight(String bottomHeight)` Sets Specifies the CSS height to give to the bottom facet in valid CSS units.
    `void` | `setEnd(javax.faces.component.UIComponent endFacet)` Content to be rendered to the right of the children and between any top and bottom facets, if the reading direction is left-to-right, on the left otherwise.
    `void` | `setEndWidth(String endWidth)` Sets Specifies the CSS width to give to the end facet in valid CSS units.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setInnerBottom(javax.faces.component.UIComponent innerBottomFacet)` Content to be rendered below the children, but above 'bottom'.
    `void` | `setInnerBottomHeight(String innerBottomHeight)` Sets Specifies the CSS height to give to the inner bottom facet in valid CSS units.
    `void` | `setInnerEnd(javax.faces.component.UIComponent innerEndFacet)` the equivalent of innerRight on left-to-right clients and innerLeft on right-to-left clients.
    `void` | `setInnerEndWidth(String innerEndWidth)` Sets Specifies the CSS width to give to the inner end facet in valid CSS units.
    `void` | `setInnerLeft(javax.faces.component.UIComponent innerLeftFacet)` Content to be rendered to the left of the children and between any innerTop and innerBottom facets, to the right of the left facet.
    `void` | `setInnerLeftWidth(String innerLeftWidth)` Sets Specifies the CSS width to give to the inner left facet in valid CSS units.
    `void` | `setInnerRight(javax.faces.component.UIComponent innerRightFacet)` Content to be rendered to the right of the children and between any innerTop and innerBottom facets.
    `void` | `setInnerRightWidth(String innerRightWidth)` Sets Specifies the CSS width to give to the inner right facet in valid CSS units.
    `void` | `setInnerStart(javax.faces.component.UIComponent innerStartFacet)` the equivalent of innerLeft on left-to-right clients and innerRight on right-to-left clients.
    `void` | `setInnerStartWidth(String innerStartWidth)` Sets Specifies the CSS width to give to the inner start facet in valid CSS units.
    `void` | `setInnerTop(javax.faces.component.UIComponent innerTopFacet)` Content to be rendered above the children, inside of 'top'.
    `void` | `setInnerTopHeight(String innerTopHeight)` Sets Specifies the CSS height to give to the inner top facet in valid CSS units.
    `void` | `setLayout(String layout)` Sets Changes how the panel is rendered.
    `void` | `setLeft(javax.faces.component.UIComponent leftFacet)` Content to be rendered to the left of the children and between any top and bottom facets.
    `void` | `setLeftWidth(String leftWidth)` Sets Specifies the CSS width to give to the left facet in valid CSS units.
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setRight(javax.faces.component.UIComponent rightFacet)` Content to be rendered to the right of the children and between any top and bottom facets.
    `void` | `setRightWidth(String rightWidth)` Sets Specifies the CSS width to give to the right facet in valid CSS units.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setStart(javax.faces.component.UIComponent startFacet)` Content to be rendered to the left of the children and between any top and bottom facets, if the reading direction is left-to-right, on the right otherwise.
    `void` | `setStartWidth(String startWidth)` Sets Specifies the CSS width to give to the start facet in valid CSS units.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setTop(javax.faces.component.UIComponent topFacet)` Content to be rendered above the children.
    `void` | `setTopHeight(String topHeight)` Sets Specifies the CSS height to give to the top facet in valid CSS units.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getParent, getProperty, getPropertyKey, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression, toString, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, clearCachedClientIds, clearCachedClientIds, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LAYOUT_EXPAND

          public static final String LAYOUT_EXPAND

      See Also:
        Constant Field Values

    - #### LAYOUT_POSITIONED

          public static final String LAYOUT_POSITIONED

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### LAYOUT_KEY

          public static final PropertyKey LAYOUT_KEY

    - #### TOP_HEIGHT_KEY

          public static final PropertyKey TOP_HEIGHT_KEY

    - #### BOTTOM_HEIGHT_KEY

          public static final PropertyKey BOTTOM_HEIGHT_KEY

    - #### INNER_TOP_HEIGHT_KEY

          public static final PropertyKey INNER_TOP_HEIGHT_KEY

    - #### INNER_BOTTOM_HEIGHT_KEY

          public static final PropertyKey INNER_BOTTOM_HEIGHT_KEY

    - #### START_WIDTH_KEY

          public static final PropertyKey START_WIDTH_KEY

    - #### END_WIDTH_KEY

          public static final PropertyKey END_WIDTH_KEY

    - #### LEFT_WIDTH_KEY

          public static final PropertyKey LEFT_WIDTH_KEY

    - #### RIGHT_WIDTH_KEY

          public static final PropertyKey RIGHT_WIDTH_KEY

    - #### INNER_START_WIDTH_KEY

          public static final PropertyKey INNER_START_WIDTH_KEY

    - #### INNER_END_WIDTH_KEY

          public static final PropertyKey INNER_END_WIDTH_KEY

    - #### INNER_LEFT_WIDTH_KEY

          public static final PropertyKey INNER_LEFT_WIDTH_KEY

    - #### INNER_RIGHT_WIDTH_KEY

          public static final PropertyKey INNER_RIGHT_WIDTH_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### TOP_FACET

          public static final String TOP_FACET

      See Also:
        Constant Field Values

    - #### BOTTOM_FACET

          public static final String BOTTOM_FACET

      See Also:
        Constant Field Values

    - #### LEFT_FACET

          public static final String LEFT_FACET

      See Also:
        Constant Field Values

    - #### RIGHT_FACET

          public static final String RIGHT_FACET

      See Also:
        Constant Field Values

    - #### START_FACET

          public static final String START_FACET

      See Also:
        Constant Field Values

    - #### END_FACET

          public static final String END_FACET

      See Also:
        Constant Field Values

    - #### INNER_TOP_FACET

          public static final String INNER_TOP_FACET

      See Also:
        Constant Field Values

    - #### INNER_BOTTOM_FACET

          public static final String INNER_BOTTOM_FACET

      See Also:
        Constant Field Values

    - #### INNER_LEFT_FACET

          public static final String INNER_LEFT_FACET

      See Also:
        Constant Field Values

    - #### INNER_RIGHT_FACET

          public static final String INNER_RIGHT_FACET

      See Also:
        Constant Field Values

    - #### INNER_START_FACET

          public static final String INNER_START_FACET

      See Also:
        Constant Field Values

    - #### INNER_END_FACET

          public static final String INNER_END_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CorePanelBorderLayout

          public CorePanelBorderLayout()

      Construct an instance of the CorePanelBorderLayout.

    - #### CorePanelBorderLayout

          protected CorePanelBorderLayout(String rendererType)

      Construct an instance of the CorePanelBorderLayout.

  - ### Method Detail

    - #### getTop

          public final javax.faces.component.UIComponent getTop()

      Content to be rendered above the children.

    - #### setTop

          public final void setTop(javax.faces.component.UIComponent topFacet)

      Content to be rendered above the children.

    - #### getBottom

          public final javax.faces.component.UIComponent getBottom()

      Content to be rendered below the children.

    - #### setBottom

          public final void setBottom(javax.faces.component.UIComponent bottomFacet)

      Content to be rendered below the children.

    - #### getLeft

          public final javax.faces.component.UIComponent getLeft()

      Content to be rendered to the left of the children and between any top and bottom facets.

    - #### setLeft

          public final void setLeft(javax.faces.component.UIComponent leftFacet)

      Content to be rendered to the left of the children and between any top and bottom facets.

    - #### getRight

          public final javax.faces.component.UIComponent getRight()

      Content to be rendered to the right of the children and between any top and bottom facets.

    - #### setRight

          public final void setRight(javax.faces.component.UIComponent rightFacet)

      Content to be rendered to the right of the children and between any top and bottom facets.

    - #### getStart

          public final javax.faces.component.UIComponent getStart()

      Content to be rendered to the left of the children and between any top and bottom facets, if the reading direction is left-to-right, on the right otherwise.

    - #### setStart

          public final void setStart(javax.faces.component.UIComponent startFacet)

      Content to be rendered to the left of the children and between any top and bottom facets, if the reading direction is left-to-right, on the right otherwise.

    - #### getEnd

          public final javax.faces.component.UIComponent getEnd()

      Content to be rendered to the right of the children and between any top and bottom facets, if the reading direction is left-to-right, on the left otherwise.

    - #### setEnd

          public final void setEnd(javax.faces.component.UIComponent endFacet)

      Content to be rendered to the right of the children and between any top and bottom facets, if the reading direction is left-to-right, on the left otherwise.

    - #### getInnerTop

          public final javax.faces.component.UIComponent getInnerTop()

      Content to be rendered above the children, inside of 'top'.

    - #### setInnerTop

          public final void setInnerTop(javax.faces.component.UIComponent innerTopFacet)

      Content to be rendered above the children, inside of 'top'.

    - #### getInnerBottom

          public final javax.faces.component.UIComponent getInnerBottom()

      Content to be rendered below the children, but above 'bottom'.

    - #### setInnerBottom

          public final void setInnerBottom(javax.faces.component.UIComponent innerBottomFacet)

      Content to be rendered below the children, but above 'bottom'.

    - #### getInnerLeft

          public final javax.faces.component.UIComponent getInnerLeft()

      Content to be rendered to the left of the children and between any innerTop and innerBottom facets, to the right of the left facet.

    - #### setInnerLeft

          public final void setInnerLeft(javax.faces.component.UIComponent innerLeftFacet)

      Content to be rendered to the left of the children and between any innerTop and innerBottom facets, to the right of the left facet.

    - #### getInnerRight

          public final javax.faces.component.UIComponent getInnerRight()

      Content to be rendered to the right of the children and between any innerTop and innerBottom facets.

    - #### setInnerRight

          public final void setInnerRight(javax.faces.component.UIComponent innerRightFacet)

      Content to be rendered to the right of the children and between any innerTop and innerBottom facets.

    - #### getInnerStart

          public final javax.faces.component.UIComponent getInnerStart()

      the equivalent of innerLeft on left-to-right clients and innerRight on right-to-left clients.

    - #### setInnerStart

          public final void setInnerStart(javax.faces.component.UIComponent innerStartFacet)

      the equivalent of innerLeft on left-to-right clients and innerRight on right-to-left clients.

    - #### getInnerEnd

          public final javax.faces.component.UIComponent getInnerEnd()

      the equivalent of innerRight on left-to-right clients and innerLeft on right-to-left clients.

    - #### setInnerEnd

          public final void setInnerEnd(javax.faces.component.UIComponent innerEndFacet)

      the equivalent of innerRight on left-to-right clients and innerLeft on right-to-left clients.

    - #### getLayout

          public final String getLayout()

      Gets Changes how the panel is rendered. The default is to expand the panel to fix the size of its contents. Setting the value to positioned will force the panel to use the size given to it via CSS (either via the styleClass, inlineStyle or via the skin). The facets are sized using the height and width attributes and the center is given the remainder. With a positioned layout the height and width should be set and the position should be set to relative or absolute. Note that due to limitations in IE6, the positioned layout uses JavaScript resizing that will affect performance. Expand is the default.
      Returns:
        the new layout value

    - #### setLayout

          public final void setLayout(String layout)

      Sets Changes how the panel is rendered. The default is to expand the panel to fix the size of its contents. Setting the value to positioned will force the panel to use the size given to it via CSS (either via the styleClass, inlineStyle or via the skin). The facets are sized using the height and width attributes and the center is given the remainder. With a positioned layout the height and width should be set and the position should be set to relative or absolute. Note that due to limitations in IE6, the positioned layout uses JavaScript resizing that will affect performance. Expand is the default.
      Parameters:
        `layout` - the new layout value

    - #### getTopHeight

          public final String getTopHeight()

      Gets Specifies the CSS height to give to the top facet in valid CSS units. Used if the layout is positioned and the top facet is present and rendered. Defaults to 25%.
      Returns:
        the new topHeight value

    - #### setTopHeight

          public final void setTopHeight(String topHeight)

      Sets Specifies the CSS height to give to the top facet in valid CSS units. Used if the layout is positioned and the top facet is present and rendered. Defaults to 25%.
      Parameters:
        `topHeight` - the new topHeight value

    - #### getBottomHeight

          public final String getBottomHeight()

      Gets Specifies the CSS height to give to the bottom facet in valid CSS units. Used if the layout is positioned and the bottom facet is present and rendered. Defaults to 25%.
      Returns:
        the new bottomHeight value

    - #### setBottomHeight

          public final void setBottomHeight(String bottomHeight)

      Sets Specifies the CSS height to give to the bottom facet in valid CSS units. Used if the layout is positioned and the bottom facet is present and rendered. Defaults to 25%.
      Parameters:
        `bottomHeight` - the new bottomHeight value

    - #### getInnerTopHeight

          public final String getInnerTopHeight()

      Gets Specifies the CSS height to give to the inner top facet in valid CSS units. Used if the layout is positioned and the inner top facet is present and rendered. Defaults to 25%.
      Returns:
        the new innerTopHeight value

    - #### setInnerTopHeight

          public final void setInnerTopHeight(String innerTopHeight)

      Sets Specifies the CSS height to give to the inner top facet in valid CSS units. Used if the layout is positioned and the inner top facet is present and rendered. Defaults to 25%.
      Parameters:
        `innerTopHeight` - the new innerTopHeight value

    - #### getInnerBottomHeight

          public final String getInnerBottomHeight()

      Gets Specifies the CSS height to give to the inner bottom facet in valid CSS units. Used if the layout is positioned and the inner bottom facet is present and rendered. Defaults to 25%.
      Returns:
        the new innerBottomHeight value

    - #### setInnerBottomHeight

          public final void setInnerBottomHeight(String innerBottomHeight)

      Sets Specifies the CSS height to give to the inner bottom facet in valid CSS units. Used if the layout is positioned and the inner bottom facet is present and rendered. Defaults to 25%.
      Parameters:
        `innerBottomHeight` - the new innerBottomHeight value

    - #### getStartWidth

          public final String getStartWidth()

      Gets Specifies the CSS width to give to the start facet in valid CSS units. Used if the layout is positioned and the start facet is present and rendered and the left or right facet is not used instead. Defaults to 25%.
      Returns:
        the new startWidth value

    - #### setStartWidth

          public final void setStartWidth(String startWidth)

      Sets Specifies the CSS width to give to the start facet in valid CSS units. Used if the layout is positioned and the start facet is present and rendered and the left or right facet is not used instead. Defaults to 25%.
      Parameters:
        `startWidth` - the new startWidth value

    - #### getEndWidth

          public final String getEndWidth()

      Gets Specifies the CSS width to give to the end facet in valid CSS units. Used if the layout is positioned and the end facet is present and rendered and the left or right facet is not used instead. Defaults to 25%.
      Returns:
        the new endWidth value

    - #### setEndWidth

          public final void setEndWidth(String endWidth)

      Sets Specifies the CSS width to give to the end facet in valid CSS units. Used if the layout is positioned and the end facet is present and rendered and the left or right facet is not used instead. Defaults to 25%.
      Parameters:
        `endWidth` - the new endWidth value

    - #### getLeftWidth

          public final String getLeftWidth()

      Gets Specifies the CSS width to give to the left facet in valid CSS units. Used if the layout is positioned and the left facet is present and rendered. Defaults to 25%.
      Returns:
        the new leftWidth value

    - #### setLeftWidth

          public final void setLeftWidth(String leftWidth)

      Sets Specifies the CSS width to give to the left facet in valid CSS units. Used if the layout is positioned and the left facet is present and rendered. Defaults to 25%.
      Parameters:
        `leftWidth` - the new leftWidth value

    - #### getRightWidth

          public final String getRightWidth()

      Gets Specifies the CSS width to give to the right facet in valid CSS units. Used if the layout is positioned and the right facet is present and rendered. Defaults to 25%.
      Returns:
        the new rightWidth value

    - #### setRightWidth

          public final void setRightWidth(String rightWidth)

      Sets Specifies the CSS width to give to the right facet in valid CSS units. Used if the layout is positioned and the right facet is present and rendered. Defaults to 25%.
      Parameters:
        `rightWidth` - the new rightWidth value

    - #### getInnerStartWidth

          public final String getInnerStartWidth()

      Gets Specifies the CSS width to give to the inner start facet in valid CSS units. Used if the layout is positioned and the inner start facet is present and rendered and the inner left or right facet is not used instead. Defaults to 25%.
      Returns:
        the new innerStartWidth value

    - #### setInnerStartWidth

          public final void setInnerStartWidth(String innerStartWidth)

      Sets Specifies the CSS width to give to the inner start facet in valid CSS units. Used if the layout is positioned and the inner start facet is present and rendered and the inner left or right facet is not used instead. Defaults to 25%.
      Parameters:
        `innerStartWidth` - the new innerStartWidth value

    - #### getInnerEndWidth

          public final String getInnerEndWidth()

      Gets Specifies the CSS width to give to the inner end facet in valid CSS units. Used if the layout is positioned and the inner end facet is present and rendered and the inner left or right facet is not used instead. Defaults to 25%.
      Returns:
        the new innerEndWidth value

    - #### setInnerEndWidth

          public final void setInnerEndWidth(String innerEndWidth)

      Sets Specifies the CSS width to give to the inner end facet in valid CSS units. Used if the layout is positioned and the inner end facet is present and rendered and the inner left or right facet is not used instead. Defaults to 25%.
      Parameters:
        `innerEndWidth` - the new innerEndWidth value

    - #### getInnerLeftWidth

          public final String getInnerLeftWidth()

      Gets Specifies the CSS width to give to the inner left facet in valid CSS units. Used if the layout is positioned and the inner left facet is present and rendered. Defaults to 25%.
      Returns:
        the new innerLeftWidth value

    - #### setInnerLeftWidth

          public final void setInnerLeftWidth(String innerLeftWidth)

      Sets Specifies the CSS width to give to the inner left facet in valid CSS units. Used if the layout is positioned and the inner left facet is present and rendered. Defaults to 25%.
      Parameters:
        `innerLeftWidth` - the new innerLeftWidth value

    - #### getInnerRightWidth

          public final String getInnerRightWidth()

      Gets Specifies the CSS width to give to the inner right facet in valid CSS units. Used if the layout is positioned and the inner right facet is present and rendered. Defaults to 25%.
      Returns:
        the new innerRightWidth value

    - #### setInnerRightWidth

          public final void setInnerRightWidth(String innerRightWidth)

      Sets Specifies the CSS width to give to the inner right facet in valid CSS units. Used if the layout is positioned and the inner right facet is present and rendered. Defaults to 25%.
      Parameters:
        `innerRightWidth` - the new innerRightWidth value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXPanel`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXPanel`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.